> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches runtime metrics for a Execution.

> Retrieve metrics from an existing workflow execution.



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.json get /api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}
openapi: 3.0.3
info:
  description: >-
    Reference for the upstream Flyte control plane API, which backs Domino
    Flows.
  title: Flyte native API
  version: version not set
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows
security: []
tags:
  - name: Children
  - name: Data
  - name: Description entities
  - name: Domains
  - name: Events
  - name: Executions
  - name: Launch plans
  - name: Matchable attributes
  - name: Metrics
  - name: Named entities
  - name: Node executions
  - name: Project attributes
  - name: Project domain attributes
  - name: Projects
  - name: Task executions
  - name: Tasks
  - name: Version
  - name: Workflow attributes
  - name: Workflows
paths:
  /api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}:
    get:
      tags:
        - Metrics
      summary: Fetches runtime metrics for a Execution.
      description: Retrieve metrics from an existing workflow execution.
      operationId: AdminService_GetExecutionMetrics
      parameters:
        - description: Name of the project the resource belongs to.
          in: path
          name: id.project
          required: true
          schema:
            type: string
        - description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          in: path
          name: id.domain
          required: true
          schema:
            type: string
        - description: User or system provided value for the resource.
          in: path
          name: id.name
          required: true
          schema:
            type: string
        - description: Optional, org key applied to the resource.
          in: query
          name: id.org
          required: false
          schema:
            type: string
        - description: >-
            depth defines the number of Flyte entity levels to traverse when
            breaking down execution details.
          in: query
          name: depth
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminWorkflowExecutionGetMetricsResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    adminWorkflowExecutionGetMetricsResponse:
      description: >-
        WorkflowExecutionGetMetricsResponse represents the response containing
        metrics for the specified workflow execution.
      properties:
        span:
          $ref: '#/components/schemas/coreSpan'
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    coreSpan:
      description: >-
        Span represents a duration trace of Flyte execution. The id field
        denotes a Flyte execution entity or an operation

        which uniquely identifies the Span. The spans attribute allows this Span
        to be further broken down into more

        precise definitions.
      properties:
        end_time:
          description: end_time defines the instance this span completed.
          format: date-time
          type: string
        node_id:
          $ref: '#/components/schemas/coreNodeExecutionIdentifier'
        operation_id:
          description: >-
            operation_id is the id of a unique operation that this Span
            represents.
          type: string
        spans:
          description: spans defines a collection of Spans that breakdown this execution.
          items:
            $ref: '#/components/schemas/coreSpan'
          type: array
        start_time:
          description: start_time defines the instance this span began.
          format: date-time
          type: string
        task_id:
          $ref: '#/components/schemas/coreTaskExecutionIdentifier'
        workflow_id:
          $ref: '#/components/schemas/coreWorkflowExecutionIdentifier'
      type: object
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    coreNodeExecutionIdentifier:
      description: Encapsulation of fields that identify a Flyte node execution entity.
      properties:
        execution_id:
          $ref: '#/components/schemas/coreWorkflowExecutionIdentifier'
        node_id:
          type: string
      type: object
    coreTaskExecutionIdentifier:
      description: Encapsulation of fields that identify a Flyte task execution entity.
      properties:
        node_execution_id:
          $ref: '#/components/schemas/coreNodeExecutionIdentifier'
        retry_attempt:
          format: int64
          type: integer
        task_id:
          $ref: '#/components/schemas/coreIdentifier'
      type: object
    coreWorkflowExecutionIdentifier:
      properties:
        domain:
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          type: string
        name:
          description: User or system provided value for the resource.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        project:
          description: Name of the project the resource belongs to.
          type: string
      title: >-
        Encapsulation of fields that uniquely identifies a Flyte workflow
        execution
      type: object
    coreIdentifier:
      description: Encapsulation of fields that uniquely identifies a Flyte resource.
      properties:
        domain:
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          type: string
        name:
          description: User provided value for the resource.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        project:
          description: Name of the project the resource belongs to.
          type: string
        resource_type:
          $ref: '#/components/schemas/coreResourceType'
        version:
          description: Specific version of the resource.
          type: string
      type: object
    coreResourceType:
      default: UNSPECIFIED
      description: >-
        Indicates a resource type within Flyte.

         - DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects.
        Eventually all Catalog objects should be modeled similar to Flyte
        Objects. The Dataset entities makes it possible for the UI  and CLI to
        act on the objects 

        in a similar manner to other Flyte objects
      enum:
        - UNSPECIFIED
        - TASK
        - WORKFLOW
        - LAUNCH_PLAN
        - DATASET
      type: string

````

## Related topics

- [Fetches a Execution.](/api-reference/executions/fetches-a-execution.md)
- [App logs and monitoring](/cloud/platform-capabilities/features/apps/app-logs-and-versioning/index.md)
- [Platform monitoring](/cloud/admin/security-and-compliance/platform-monitoring.md)
- [Fetches input and output data for a Execution.](/api-reference/data/fetches-input-and-output-data-for-a-execution.md)
